Gecode::PosValChoice< Val > Class Template Reference

Choice storing position and value More...

`#include <view-val.hpp>`

## Public Member Functions

| PosValChoice (const Brancher &b, unsigned int a, const Pos &p, const Val &n)
| Initialize choice for brancher b, number of alternatives a, position p, and value n.
const Val & | val (void) const
virtual void | archive (Archive &e) const
| Archive into e.
Public Member Functions inherited from Gecode::PosChoice
| PosChoice (const Brancher &b, unsigned int a, const Pos &p)
| Initialize choice for brancher b, number of alternatives a, and position p.
const Pos & | pos (void) const
| Return position in array.
Public Member Functions inherited from Gecode::Choice
unsigned int | alternatives (void) const
| Return number of alternatives.
virtual | ~Choice (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Protected Member Functions inherited from Gecode::PosChoice
| PosChoice (const PosChoice &c)
| Initialize.
Protected Member Functions inherited from Gecode::Choice
| Choice (const Brancher &b, const unsigned int a)
| Initialize for particular brancher b and alternatives a.

## Detailed Description

template<class Val>
class Gecode::PosValChoice< Val >

Choice storing position and value

Definition at line 46 of file view-val.hpp.

## Constructor & Destructor Documentation

## PosValChoice()

template<class Val>

Gecode::PosValChoice< Val >::PosValChoice | ( | const Brancher & | b,
|  | unsigned int | a,
|  | const Pos & | p,
|  | const Val & | n )

inline

Initialize choice for brancher b, number of alternatives a, position p, and value n.

Definition at line 159 of file view-val.hpp.

## Member Function Documentation

## val()

template<class Val>

const Val & Gecode::PosValChoice< Val >::val | ( | void |  | ) | const

inline

Definition at line 165 of file view-val.hpp.

## archive()

template<class Val>

void Gecode::PosValChoice< Val >::archive | ( | Archive & | e | ) | const

inline virtual

Archive into e.

Reimplemented from Gecode::PosChoice.

Reimplemented in Gecode::Int::LDSB::LDSBChoice< Val >.

Definition at line 171 of file view-val.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/view-val.hpp